import a from "../index.js";
const s = {
  formules_schema: {},
  functions: {},
  params: {},
  mainConfig: { type: "govco", formulario_id: NaN, impuesto_id: "" },
  formString: "",
  onSubmit: () => {
  },
  formSchema: {}
}, { Provider: m, useSelectorContext: l } = a(s), d = m, f = () => {
  const [e, r] = l((o) => o.modalInfo), t = (o) => {
    r((n) => {
      n.modalInfo = o;
    });
  };
  return {
    closeModal: () => {
      e.type && t(void 0);
    },
    setModal: t,
    modalInfo: e
  };
};
export {
  d as GeneralStoreProvider,
  m as Provider,
  l as useGeneralForm,
  f as useModalContext
};
